from django.urls import path
from .views import *

urlpatterns = [
    path('home/',index,name='home'),
    path('books/',BooksListView.as_view(),name='books_list'),
    path('books/<int:pk>/details',BooksDetailView.as_view(),name='book_details'),
    path('books/add',BooksCreateView.as_view(),name='create_book'),
    path('books/<int:pk>/edit',BooksUpdateView.as_view(),name='update_book'),
    path('authors/',AuthorListView.as_view(),name='author_list'),
    path('authors/<int:pk>/details',AuthorDetailView.as_view(),name='author_details'),
    path('authors/add',AuthorCreateView.as_view(),name='new_author'),
    path('authors/<int:pk>/edit',AuthorUpdateView.as_view(),name='update_author'),
]

app_name = 'bookshelf'